gtkmm: Gtk::ScaleButton Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::ScaleButton Class Reference
Widgets

A button which pops up a scale widget. More...

Inheritance diagram for Gtk::ScaleButton:
[legend]
Collaboration diagram for Gtk::ScaleButton:
[legend]

List of all members.

## Public Member Functions
virtual | ~ScaleButton ()
GtkScaleButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkScaleButton* | gobj () const
| Provides access to the underlying C GtkObject.
| ScaleButton (IconSize size, double min, double max, double step, const Glib::StringArrayHandle& icons)
void | set_icons (const Glib::StringArrayHandle& icons)
| Sets the icons to be used by the scale button.
double | get_value () const
| Gets the current value of the scale button.
void | set_value (double value)
| Sets the current value of the scale; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.
Gtk::Adjustment* | get_adjustment ()
| Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.
Gtk::Adjustment* | get_adjustment () const
| Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.
void | set_adjustment (Gtk::Adjustment& adjustment)
| Sets the Gtk::Adjustment to be used as a model for the Gtk::ScaleButton's scale.
Orientation | get_orientation ()
| Gets the orientation of the Gtk::ScaleButton's popup window.
void | set_orientation (Orientation orientation)
| Sets the orientation of the Gtk::ScaleButton's popup window.
Widget* | get_plus_button ()
| Retrieves the plus button of the Gtk::ScaleButton.
const Widget* | get_plus_button () const
| Retrieves the plus button of the Gtk::ScaleButton.
Widget* | get_minus_button ()
| Retrieves the minus button of the Gtk::ScaleButton.
const Widget* | get_minus_button () const
| Retrieves the minus button of the Gtk::ScaleButton.
Gtk::Widget* | get_popup ()
| Retrieves the popup of the Gtk::ScaleButton.
const Gtk::Widget* | get_popup () const
| Retrieves the popup of the Gtk::ScaleButton.
Glib::SignalProxy1< void, double > | signal_value_changed ()
Glib::PropertyProxy< double > | property_value ()
| The value of the scale.
Glib::PropertyProxy_ReadOnly < double > | property_value () const
| The value of the scale.
Glib::PropertyProxy< IconSize > | property_size ()
| The icon size.
Glib::PropertyProxy_ReadOnly < IconSize > | property_size () const
| The icon size.
Glib::PropertyProxy< Adjustment* > | property_adjustment ()
| The GtkAdjustment that contains the current value of this scale button object.
Glib::PropertyProxy_ReadOnly < Adjustment* > | property_adjustment () const
| The GtkAdjustment that contains the current value of this scale button object.
Glib::PropertyProxy < Glib::StringArrayHandle > | property_icons ()
| List of icon names.
Glib::PropertyProxy_ReadOnly < Glib::StringArrayHandle > | property_icons () const
| List of icon names.
Glib::PropertyProxy< Orientation > | property_orientation ()
| The orientation of the orientable.
Glib::PropertyProxy_ReadOnly < Orientation > | property_orientation () const
| The orientation of the orientable.
## Protected Member Functions
virtual void | on_value_changed (double value)
## Related Functions
(Note that these are not member functions.)
Gtk::ScaleButton* | wrap (GtkScaleButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A button which pops up a scale widget.

This kind of widget is commonly used for volume controls in multimedia applications, and there is a Gtk::VolumeButton subclass that is tailored for this use case.

Since gtkmm 2.12:

## Constructor & Destructor Documentation

virtual Gtk::ScaleButton::~ScaleButton | ( |  | ) | `[virtual]`

Gtk::ScaleButton::ScaleButton | ( | IconSize | size,
|  | double | min,
|  | double | max,
|  | double | step,
|  | const Glib::StringArrayHandle & | icons
| ) |  | `[explicit]`

## Member Function Documentation

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) |

Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.

See Gtk::Range::get_adjustment() for details.

Since gtkmm 2.12:

Returns:
  The adjustment associated with the scale.

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) | const

Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.

See Gtk::Range::get_adjustment() for details.

Since gtkmm 2.12:

Returns:
  The adjustment associated with the scale.

Widget* Gtk::ScaleButton::get_minus_button | ( |  | ) |

Retrieves the minus button of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The minus button of the Gtk::ScaleButton.

const Widget* Gtk::ScaleButton::get_minus_button | ( |  | ) | const

Retrieves the minus button of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The minus button of the Gtk::ScaleButton.

Orientation Gtk::ScaleButton::get_orientation | ( |  | ) |

Gets the orientation of the Gtk::ScaleButton's popup window.

Since gtkmm 2.14:

Deprecated: 2.16: Use Gtk::Orientable::get_orientation() instead.

Returns:
  The Gtk::ScaleButton's orientation.

const Widget* Gtk::ScaleButton::get_plus_button | ( |  | ) | const

Retrieves the plus button of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The plus button of the Gtk::ScaleButton.

Widget* Gtk::ScaleButton::get_plus_button | ( |  | ) |

Retrieves the plus button of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The plus button of the Gtk::ScaleButton.

Gtk::Widget* Gtk::ScaleButton::get_popup | ( |  | ) |

Retrieves the popup of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The popup of the Gtk::ScaleButton.

const Gtk::Widget* Gtk::ScaleButton::get_popup | ( |  | ) | const

Retrieves the popup of the Gtk::ScaleButton.

Since gtkmm 2.14:

Returns:
  The popup of the Gtk::ScaleButton.

double Gtk::ScaleButton::get_value | ( |  | ) | const

Gets the current value of the scale button.

Since gtkmm 2.12:

Returns:
  Current value of the scale button.

GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

const GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

virtual void Gtk::ScaleButton::on_value_changed | ( | double | value | ) | `[protected, virtual]`

Glib::PropertyProxy<Adjustment*> Gtk::ScaleButton::property_adjustment | ( |  | ) |

The GtkAdjustment that contains the current value of this scale button object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Adjustment*> Gtk::ScaleButton::property_adjustment | ( |  | ) | const

The GtkAdjustment that contains the current value of this scale button object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::StringArrayHandle> Gtk::ScaleButton::property_icons | ( |  | ) |

List of icon names.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::StringArrayHandle> Gtk::ScaleButton::property_icons | ( |  | ) | const

List of icon names.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Orientation> Gtk::ScaleButton::property_orientation | ( |  | ) | const

The orientation of the orientable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Orientation> Gtk::ScaleButton::property_orientation | ( |  | ) |

The orientation of the orientable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<IconSize> Gtk::ScaleButton::property_size | ( |  | ) |

The icon size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<IconSize> Gtk::ScaleButton::property_size | ( |  | ) | const

The icon size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::ScaleButton::property_value | ( |  | ) | const

The value of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::ScaleButton::property_value | ( |  | ) |

The value of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ScaleButton::set_adjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the Gtk::Adjustment to be used as a model for the Gtk::ScaleButton's scale.

See Gtk::Range::set_adjustment() for details.

Since gtkmm 2.12:

Parameters:

  adjustment | A Gtk::Adjustment.

void Gtk::ScaleButton::set_icons | ( | const Glib::StringArrayHandle & | icons | ) |

Sets the icons to be used by the scale button.

For details, see the Gtk::ScaleButton:icons property.

Since gtkmm 2.12:

Parameters:

  icons | A `0`-terminated array of icon names.

void Gtk::ScaleButton::set_orientation | ( | Orientation | orientation | ) |

Sets the orientation of the Gtk::ScaleButton's popup window.

Since gtkmm 2.14:

Deprecated: 2.16: Use Gtk::Orientable::set_orientation() instead.

Parameters:

  orientation | The new orientation.

void Gtk::ScaleButton::set_value | ( | double | value | ) |

Sets the current value of the scale; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.

The scale button emits the Gtk::ScaleButton::value-changed signal if the value changes.

Since gtkmm 2.12:

Parameters:

  value | New value of the scale button.

Glib::SignalProxy1< void,double > Gtk::ScaleButton::signal_value_changed | ( |  | ) |

Prototype:
  `void on_my_value_changed(double value)`

## Friends And Related Function Documentation

Gtk::ScaleButton* wrap | ( | GtkScaleButton * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/scalebutton.h